Keep state of musical objects while parsing music xml

### Hierarchy

- XmlState

## Index

### Constructors

- constructor

### Methods

- completeSlurs
- completeTies
- processWedge
- updateSlurStates

## Constructors

### constructor

- new XmlState(): XmlState

- #### Returns XmlState

## Methods

### completeSlurs

- completeSlurs(): void

- - Defined in src/smo/mxml/xmlState.ts:500

  After reading in a measure, update any completed slurs and make them into SmoSlur and add them to the SmoSystemGroup objects. staffIndexOffset is the offset from the xml staffId and the score staff Id (i.e. the staves that have already been parsed in other parts)

  #### Returns void

### completeTies

- completeTies(score: SmoScore): void

- - Defined in src/smo/mxml/xmlState.ts:511

  Go through saved start ties, try to find the endpoint of the tie. Ties in music xml are a little ambiguous, we assume we are tying to the same pitch

  #### Parameters

  - ##### score: SmoScore

  #### Returns void

### processWedge

- processWedge(wedgeInfo: XmlWedgeInfo): void

- - Defined in src/smo/mxml/xmlState.ts:238

  process a wedge aka hairpin dynamic

  #### Parameters

  - ##### wedgeInfo: XmlWedgeInfo

  #### Returns void

### updateSlurStates

- updateSlurStates(slurInfos: XmlSlurType[]): void

- - Defined in src/smo/mxml/xmlState.ts:424

  While parsing a measure, on a slur element, either complete a started slur or start a new one.

  #### Parameters

  - ##### slurInfos: XmlSlurType[]

  #### Returns void

Generated using TypeDoc